#
# This gets appended to start/stop script on unix systems

# IMPORTANT NOTE: =========================================================
# Only commenting out a start/stop command will be preserved in this file.
# Any other user modifications will not be preserved. User ID overrides
# must be made in the config/kcirunas.cfg file to be preserved.
# IMPORTANT NOTE: =========================================================

start_all()
{
#      $CANDLEHOME/bin/CandleAgent start all >/dev/null 2>&1
      $CANDLEHOME/bin/itmcmd agent start all >/dev/null 2>&1
}

stop_all()
{
#      $CANDLEHOME/bin/CandleAgent stop all >/dev/null 2>&1
      $CANDLEHOME/bin/itmcmd agent stop all >/dev/null 2>&1
}

bindir=${CANDLEHOME}/bin

TEXTDOMAINDIR=$bindir/../config/nls/msg
export TEXTDOMAINDIR

PATH=$bindir:$PATH
export PATH

overallStatus=""

set +e

case "$1" in
  inetd)
      start_all
      ;;
  stop_msg)
      shift
#$NLS-E$ "Stopping the IBM/Tivoli Monitoring agents"
      nls_replace 'KCI0002I'
      ;;
  start_msg)
      shift
#$NLS-E$ "Starting the IBM/Tivoli Monitoring agents"
      nls_replace 'KCI0003I'
      ;;

   start)
      start_all
      ;;

   restart)
      stop_all
      start_all
      ;;

   stop)
      stop_all
      ;;
   *)
#$NLS-E$ "Unknown flag passed to $0."      
	  nls_replace 'KCI0004E' $0
   	  echo "Usage: $0 {start, stop, restart}"
esac

if [ -n "$overallStatus" ]
then
  exit 1
else 
  exit 0
fi
